#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "GameplayTagContainer.h"
#include "PowerWidgetBundlePresentationComponent.generated.h"

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class DEADBYDAYLIGHT_API UPowerWidgetBundlePresentationComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	TArray<FGameplayTag> _powerWidgetPriorities;

public:
	UPowerWidgetBundlePresentationComponent();
};

FORCEINLINE uint32 GetTypeHash(const UPowerWidgetBundlePresentationComponent) { return 0; }
